Subject: Re: Bug in rm -r with locked files
From: David Means <[email-masked]>
To: Gael Mulat <[email-masked]>
Cc: [email-masked]
Date: 21 Jan 2003 07:35:41 -0500

Yep, I concur.  If windows has a lock on the file, rm just hangs.  I've
seen it hang on directories when doing an 'rm -rf yada/*"

On Tue, 2003-01-21 at 06:50, Gael Mulat wrote:

>     Hi,
> 
>     This is a bug report about rm (package fileutils, version 4.1-1) on W2K.
> 
>     Test case: take 2 cygwin shells.
> shell 1:
>     mkdir /tmp/directory
>     vi /tmp/directory/file
> 
> shell 2:
>     /bin/rm -rf /tmp/directory
> 
>     The shell2 doesn't manage to remove the directory and goes into an 
> infinite loop, taking 100% of the CPU.
>     All is then OK if we go out of vi in the shell1.
> 
>     Doing the same thing (deleting the directory) directly in Windows 
> produces an error message: "cannot delete directory: Access is denied. 
> The source file may be in use" and we can notice in the directory a file 
> named .file.swp that is also visible under Cygwin with ls -la.
> 
>     The example I have just given uses vi, but it is the same with all 
> processes that open the file, as W2K puts a lock on it.
> 
> Gael Mulat
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
David Means

Different all twisty a of in maze are you, passages little.